0
()

This document contains information about F-Secure Server Protection. We strongly recommend that you read the entire document before installing the software.

Supported platforms

Server Protection supports the following operating system versions:

  • Microsoft Windows Server 2008 R2
  • Microsoft Small Business Server 2011, Standard edition
  • Microsoft Small Business Server 2011, Essentials
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2012 Essentials
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2012 R2 Essentials
  • Microsoft Windows Server 2012 R2 Foundation
  • Microsoft Windows Server 2016 Standard
  • Microsoft Windows Server 2016 Essentials
  • Microsoft Windows Server 2016 Datacenter
  • Microsoft Windows Server 2016 Core
  • Microsoft Windows Server 2019 Standard
  • Microsoft Windows Server 2019 Essentials
  • Microsoft Windows Server 2019 Datacenter
  • Microsoft Windows Server 2019 Core
  • Microsoft Windows Server 2022 Standard
  • Microsoft Windows Server 2022 Essentials
  • Microsoft Windows Server 2022 Datacenter
  • Microsoft Windows Server 2022 Core

Note: Windows Server 2016 Nano is not supported.

All Microsoft Windows Server editions are supported except:

  • Windows Server for Itanium processor
  • Windows HPC editions for specific hardware
  • Windows Storage editions
  • Windows MultiPoint Server
  • Windows Home Server

Note: All operating systems are required to have the latest Service Pack installed and they must have TLS 1.2 configured and enabled.

Note: For performance and security reasons, you can install the product only on an NTFS partition.

Note: The client requires .NET Framework 4.7.2 and installs it automatically if it is missing. Windows 10 versions before Windows 10 Anniversary Update (version 1607) are not supported as they do not work with .NET Framework 4.7.2.

Supported terminal servers

Server Protection supports the following terminal server platforms:

  • Microsoft Windows Terminal/RDP Services (on the above mentioned Windows Server platforms)
  • Citrix XenApp 5.0
  • Citrix XenApp 6.0
  • Citrix XenApp 6.5
  • Citrix XenApp 7.5, 7.6
Discover More help  F-Secure Linux Protection

System requirements

  • Processor: Intel Pentium 4 2GHz or higher (processor must support SSE2).
  • Memory: 1 GB on 32-bit systems / 2 GB or more on 64-bit systems.
  • Disk space: 2 GB free disk space.
  • Display with a resolution of 1024 x 768 or higher.
  • Internet Connection: An Internet connection is required to validate your subscription, receive product updates, and use the cloud-based detection.
  • Javascript must be enabled in the browser settings to enable active block pages.

Supported browsers

  • Edge (Windows 10). Does not support extensions.
  • Internet Explorer 11 (Windows 8.1).
  • Internet Explorer 10 & 11 (Windows 7).
  • Chrome, two latest major versions.
  • Firefox, two latest major versions.

Supported languages

The supported languages are English, Czech, Danish, Dutch, Estonian, Finnish, French, French (Canadian), German, Greek, Hungarian, Italian, Japanese, Norwegian, Polish, Portuguese, Portuguese (Brazilian), Romanian, Russian, Slovenian, Spanish, Spanish (Latin America), Swedish, Turkish, Traditional Chinese (Hong Kong), Traditional Chinese (Taiwan), and Simplified Chinese (PRC).

Contact information and feedback

We look forward to hearing your comments and feedback on the product functionality, usability, and performance.

Please report any technical issues through the F-Secure support website:
https://www.f-secure.com/en/web/business_global/support

When reporting a technical issue, please attach the F-Secure system summary report to the feedback. Run the F-Secure support tool installed with Server Protection and include the resulting fsdiag file in your report. To collect the system summary report, you need to have administrator rights.

Source : Official F-Secure Brand
Editor by : BEST Antivirus KBS Team

How useful was this post?

Click on a star to rate it!

Average rating / 5. Vote count:

No votes so far! Be the first to rate this post.

Discover More help  Grant read access to registry keys (F-Secure)

(Visited 3 times, 1 visits today)